FruxonDocs
ApiLlm provider configs

Creates a new configuration for the LLM provider.

The new config starts as a draft with no published revision. Agents referencing this config via `TenantConfigId` will fail to resolve until `:publish` is called. The `providerId` on the request body is overwritten with the route value.

POST
/v1/tenants/{tenant}/llmProviders/{llmProvider}/configs
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

llmProvider*string

The LLM provider ID.

tenant*string

The tenant identifier

The configuration to create.

providerId?string|null
displayName*string|null
parameters?|null
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/llmProviders/string/configs" \  -H "Content-Type: application/json" \  -d '{    "displayName": "string"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "providerId": "string",
  "displayName": "string",
  "parameters": {},
  "publishedRevisionId": "00000000-0000-0000-0000-000000000000",
  "createdBy": "string",
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty